/***************************************************************************
 *   Copyright (c) 2004-2006 Oleg Shalnev                                  *
 *   Copyright (c) 2005-2006 OLMAX                                         *
 *   All rights reserved.                                                  *
 *   mailto:contact@kalpa.ru                                               *
 *   http://kalpa.ru                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GLAN_CLIENTGLANCLIENTDATETIMEEDIT_H
#define GLAN_CLIENTGLANCLIENTDATETIMEEDIT_H

#include <QDateTimeEdit>
#include <GlanClientDateTimeEditBase.h>
#include <GlanClientWidget.h>

namespace Glan
{

namespace Client
{

/**
@author Oleg Shalnev
*/
class GlanClientDateTimeEdit : public QDateTimeEdit
{
    Q_OBJECT
    GlanClientDateTimeEditBase DateTimeEditBase;
public:
    GlanClientDateTimeEdit(const quint64 ObjectId, GlanClientWidget*);
    ~GlanClientDateTimeEdit();
public slots:
    bool processEvent(const QXmlAttributes& event)
    {
        DateTimeEditBase.processEvent(event);
        return true;
    }
};

}

}

#endif
