/***************************************************************************
 *   Copyright (c) 2004-2005, Oleg Shalnev                                 *
 *   Copyright (c) 2005, OLMAX                                            *
 *   All rights reserved.                                                  *
 *   kalpa@yandex.ru                                                       *
 *   http://kalpa.sf.net                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GLANEXCEPTION_H
#define GLANEXCEPTION_H
#include <QString>
#include <QDebug>


#define PUT_COLOR_DARK     "\033[1;30m"
#define PUT_COLOR_RED      "\033[1;31m"
#define PUT_COLOR_GREEN    "\033[1;32m"
#define PUT_COLOR_YELLOW   "\033[1;33m"
#define PUT_COLOR_BLUE     "\033[1;34m"
#define PUT_COLOR_MAGENTA  "\033[1;35m"
#define PUT_COLOR_CYAN     "\033[1;36m"
#define PUT_COLOR_WHITE    "\033[1;37m"
#define PUT_COLOR_NORMAL   "\033[0;39m"

#define PUT_OK      "\033[1;32mOK \033[0;39m\t"
#define PUT_ERROR   "\033[1;31mERROR \033[0;39m\t"
#define PUT_WARNING "\033[1;33m\033[1;32mERROR \033[0;39m\t"

namespace Glan
{
/**
@author Oleg Shalnev
*/
class GlanException
{
    QString Message;
public:
    GlanException();
    GlanException(const QString&);
    GlanException(const GlanException&);
    ~GlanException();
    QString getMessage()
    {
        return Message;
    }
};
}
#endif
