/*************************************************************************
 *** Project Kalpa.                                                     ***
 *** Copyright (c) 2005 Oleg Shalnev. All Rights Reserved               ***
 *** Copyright (c) 1997-2003 The PHP Group                              ***
 *** Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All    ***
 *** rights reserved.                                                   ***
 ***                                                                    ***
 *** mailto:glan@users.sf.net                                           ***
 *** mailto:kalpa@yandex.ru                                             ***
 *** http://kalpa.sf.net                                                ***
 ***                                                                    ***
 *** This program is free software; you can redistribute it and/or      ***
 *** modify it under the terms of the GNU General Public License        ***
 *** as published by the Free Software Foundation; either version 2     ***
 *** of the License, or (at your option) any later version.             ***
 ***                                                                    ***
 *** This program is distributed in the hope that it will be useful,    ***
 *** but WITHOUT ANY WARRANTY; without even the implied warranty of     ***
 *** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      ***
 *** GNU General Public License for more details.                       ***
 ***                                                                    ***
 *** You should have received a copy of the GNU General Public License  ***
 *** along with this program; if not, write to the Free Software        ***
 *** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.          ***
 ***                                                                    ***
 *************************************************************************/
#ifndef __GLAN_LIB_MD5_H__
#define __GLAN_LIB_MD5_H__
#include <qglobal.h>
#include <stdio.h>
#include <string.h>
namespace Glan{

    /* MD5 context. */
typedef struct MD5_CTX
{
    quint32 state[4];        /* state (ABCD) */
    quint32 count[2];        /* number of bits, modulo 2^64 (lsb first) */
    unsigned char buffer[64];   /* input buffer */
};

void make_digest(char *md5str, unsigned char *digest);
void MD5Init(MD5_CTX *);
void MD5Update(MD5_CTX *, const unsigned char *, unsigned int);
void MD5Final(unsigned char[16], MD5_CTX *);

}
#endif
