/*************************************************************************
 *** Project Kalpa.                                                     ***
 *** Copyright (c) 2005 Oleg Shalnev. All Rights Reserved               ***
 **  Copyright (c) 1997-2003 The PHP Group                              ***
 ***                                                                    ***
 *** mailto:glan@users.sf.net                                           ***
 *** mailto:kalpa@yandex.ru                                             ***
 *** http://kalpa.sf.net                                                ***
 ***                                                                    ***
 *** This program is free software; you can redistribute it and/or      ***
 *** modify it under the terms of the GNU General Public License        ***
 *** as published by the Free Software Foundation; either version 2     ***
 *** of the License, or (at your option) any later version.             ***
 ***                                                                    ***
 *** This program is distributed in the hope that it will be useful,    ***
 *** but WITHOUT ANY WARRANTY; without even the implied warranty of     ***
 *** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      ***
 *** GNU General Public License for more details.                       ***
 ***                                                                    ***
 *** You should have received a copy of the GNU General Public License  ***
 *** along with this program; if not, write to the Free Software        ***
 *** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.          ***
 ***                                                                    ***
 *************************************************************************/
#ifndef __GLAN_SERVER_MD5CRYPT_H__
#define __GLAN_SERVER_MD5CRYPT_H__
#include "md5.h"
#include <QString>
#ifndef Q_OS_UNIX
#include <time.h>
#endif
#define MD5_MAGIC   "$1$"
#define MD5_MAGIC_LEN   3
namespace Glan{
char    *md5_crypt(const char *pw, const char *salt);
QString GlanEncrypt(const QString&);
}
#endif
